> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List settlement



## OpenAPI

````yaml get /settlements
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /settlements:
    get:
      tags:
        - Settlements
      summary: Get all Settlements
      description: Get all settlements
      operationId: GetallSettlements
      parameters: []
      responses:
        '200':
          description: OK
          headers:
            X-Powered-By:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Express
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '4784'
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"12b0-izx1zlpZNvgWwUIOdKnYbQ"
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Thu, 23 Jan 2020 17:26:53 GMT
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/SampleSuccessResponse35'
      deprecated: false
components:
  schemas:
    SampleSuccessResponse35:
      title: SampleSuccessResponse35
      required:
        - status
        - message
        - meta
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        meta:
          $ref: '#/components/schemas/Meta23'
        data:
          type: array
          items:
            $ref: '#/components/schemas/Data91'
          description: ''
    Meta23:
      title: Meta23
      required:
        - page_info
      type: object
      properties:
        page_info:
          $ref: '#/components/schemas/PageInfo1'
      example:
        page_info:
          total: 43
          current_page: 1
          total_pages: 3
          page_size: 20
    Data91:
      title: Data91
      required:
        - id
        - account_id
        - merchant_name
        - merchant_email
        - settlement_account
        - bank_code
        - transaction_date
        - due_date
        - processed_date
        - status
        - is_local
        - currency
        - gross_amount
        - app_fee
        - merchant_fee
        - chargeback
        - refund
        - stampduty_charge
        - net_amount
        - transaction_count
        - processor_ref
        - disburse_ref
        - disburse_message
        - channel
        - destination
        - fx_data
        - flag_message
        - meta
        - refund_meta
        - chargeback_meta
        - source_bankcode
        - created_at
      type: object
      properties:
        id:
          type: integer
          format: int32
        account_id:
          type: integer
          format: int32
        merchant_name:
          type: string
        merchant_email:
          type: string
        settlement_account:
          type: string
        bank_code:
          type: string
        transaction_date:
          type: string
        due_date:
          type: string
        processed_date:
          type: string
          nullable: true
        status:
          type: string
        is_local:
          type: boolean
        currency:
          type: string
        gross_amount:
          oneOf:
            - type: integer
              format: int32
            - type: number
        app_fee:
          oneOf:
            - type: integer
              format: int32
            - type: number
        merchant_fee:
          type: integer
          format: int32
        chargeback:
          type: integer
          format: int32
        refund:
          type: integer
          format: int32
        stampduty_charge:
          type: integer
          format: int32
        net_amount:
          type: integer
          format: int32
        transaction_count:
          type: integer
          format: int32
        processor_ref:
          type: string
          nullable: true
        disburse_ref:
          type: string
          nullable: true
        disburse_message:
          type: string
          nullable: true
        channel:
          type: string
          nullable: true
        destination:
          type: string
        fx_data:
          type: string
          nullable: true
        flag_message:
          type: string
          nullable: true
        meta:
          oneOf:
            - type: array
              items:
                type: integer
                format: int32
              nullable: true
            - type: string
              nullable: true
            - nullable: true
        refund_meta:
          oneOf:
            - type: array
              items:
                type: integer
                format: int32
              nullable: true
            - type: array
              items:
                oneOf:
                  - type: integer
                    format: int32
                  - type: string
            - nullable: true
        chargeback_meta:
          oneOf:
            - type: array
              items:
                type: string
              nullable: true
            - type: array
              items:
                type: string
            - nullable: true
        source_bankcode:
          type: string
          nullable: true
        created_at:
          type: string
    PageInfo1:
      title: PageInfo1
      required:
        - total
        - current_page
        - total_pages
        - page_size
      type: object
      properties:
        total:
          type: integer
          format: int32
        current_page:
          type: integer
          format: int32
        total_pages:
          type: integer
          format: int32
        page_size:
          type: integer
          format: int32
      example:
        total: 43
        current_page: 1
        total_pages: 3
        page_size: 20
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````